Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1DUTILS.h	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1DUTILS.h	(revision 3851)
@@ -233,4 +233,11 @@
        CALL getin('ok_flux_surf',ok_flux_surf)
 
+!Config  Key  = ok_forc_tsurf
+!Config  Desc = forcage ou non par la Ts
+!Config  Def  = false
+!Config  Help = forcage ou non par la Ts
+       ok_forc_tsurf=.false.
+       CALL getin('ok_forc_tsurf',ok_forc_tsurf)
+
 !Config  Key  = ok_prescr_ust
 !Config  Desc = ustar impose ou non
@@ -239,4 +246,12 @@
        ok_prescr_ust = .false.
        CALL getin('ok_prescr_ust',ok_prescr_ust)
+
+
+!Config  Key  = ok_prescr_beta
+!Config  Desc = betaevap impose ou non
+!Config  Def  = false
+!Config  Help = betaevap impose ou non
+       ok_prescr_beta = .false.
+       CALL getin('ok_prescr_beta',ok_prescr_beta)
 
 !Config  Key  = ok_old_disvert
@@ -280,5 +295,5 @@
 !Config  Desc = surface temperature
 !Config  Def  = 290.
-!Config  Help = not used if type_ts_forcing=1 in lmdz1d.F
+!Config  Help = surface temperature
        tsurf = 290.
        CALL getin('tsurf',tsurf)
@@ -297,4 +312,7 @@
        zsurf = 0.
        CALL getin('zsurf',zsurf)
+! EV pour accord avec format standard       
+       CALL getin('zorog',zsurf)
+
 
 !Config  Key  = rugos
@@ -359,4 +377,13 @@
        qsolinp = 1.
        CALL getin('qsolinp',qsolinp)
+
+
+
+!Config  Key  = betaevap
+!Config  Desc = beta for actual evaporation when prescribed
+!Config  Def  = 1.0
+!Config  Help = 
+       betaevap = 1.
+       CALL getin('betaevap',betaevap)      
 
 !Config  Key  = zpicinp
@@ -520,4 +547,5 @@
        CALL getin('forc_ustar',forc_ustar)
        IF (forc_ustar .EQ. 1) ok_prescr_ust=.true.
+
 
 !Config  Key  = nudging_u
@@ -1248,25 +1276,25 @@
       END
 
-!======================================================================
-       SUBROUTINE read_tsurf1d(knon,sst_out)
-
-! This subroutine specifies the surface temperature to be used in 1D simulations
-
-      USE dimphy, ONLY : klon
-
-      INTEGER, INTENT(IN)                  :: knon     ! nomber of points on compressed grid
-      REAL, DIMENSION(klon), INTENT(OUT)   :: sst_out  ! tsurf used to force the single-column model
-
-       INTEGER :: i
-! COMMON defined in lmdz1d.F:
-       real ts_cur
-       common /sst_forcing/ts_cur
-
-       DO i = 1, knon
-        sst_out(i) = ts_cur
-       ENDDO
-
-      END SUBROUTINE read_tsurf1d
-
+!!======================================================================
+!       SUBROUTINE read_tsurf1d(knon,sst_out)
+!
+!! This subroutine specifies the surface temperature to be used in 1D simulations
+!
+!      USE dimphy, ONLY : klon
+!
+!      INTEGER, INTENT(IN)                  :: knon     ! nomber of points on compressed grid
+!      REAL, DIMENSION(klon), INTENT(OUT)   :: sst_out  ! tsurf used to force the single-column model
+!
+!       INTEGER :: i
+!! COMMON defined in lmdz1d.F:
+!       real ts_cur
+!       common /sst_forcing/ts_cur
+
+!       DO i = 1, knon
+!        sst_out(i) = ts_cur
+!       ENDDO
+!
+!      END SUBROUTINE read_tsurf1d
+!
 !===============================================================
       subroutine advect_vert(llm,w,dt,q,plev)
Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 3851)
@@ -34,10 +34,11 @@
         real w_mod(llm), t_mod(llm),q_mod(llm)
         real u_mod(llm),v_mod(llm), ht_mod(llm),vt_mod(llm),ug_mod(llm),vg_mod(llm)
-	real temp_nudg_mod(llm),qv_nudg_mod(llm),u_nudg_mod(llm),v_nudg_mod(llm)
+	    real temp_nudg_mod(llm),qv_nudg_mod(llm),u_nudg_mod(llm),v_nudg_mod(llm)
         real hq_mod(llm),vq_mod(llm),qv_mod(llm),ql_mod(llm),qt_mod(llm)
         real th_mod(llm)
 
-        real ts_cur
-        common /sst_forcing/ts_cur ! also in read_tsurf1d.F
+! EV comment these lines
+!        real ts_cur
+!        common /sst_forcing/ts_cur ! also in read_tsurf1d.F
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Declarations specifiques au cas RICO
@@ -286,5 +287,5 @@
         real temp_nudg_mod_cas(llm),qv_nudg_mod_cas(llm),v_nudg_mod_cas(llm),u_nudg_mod_cas(llm)
         real u_mod_cas(llm),v_mod_cas(llm)
-        real omega_mod_cas(llm)
+        real omega_mod_cas(llm),tke_mod_cas(llm+1)
         real ht_mod_cas(llm),vt_mod_cas(llm),dt_mod_cas(llm),dtrad_mod_cas(llm)
         real hth_mod_cas(llm),vth_mod_cas(llm),dth_mod_cas(llm)
Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 3851)
@@ -1,4 +1,4 @@
 
-         print*,'FORCING CASE forcing_case2'
+        print*,'FORCING CASE forcing_case2'
 !       print*,                                                             &
 !    & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/pdt_cas=',     &
@@ -13,8 +13,8 @@
      &       ,u_cas,v_cas,ug_cas,vg_cas                                                     &
      &       ,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas                               &
-     &       ,vitw_cas,omega_cas,du_cas,hu_cas,vu_cas                                       &
+     &       ,vitw_cas,omega_cas,tke_cas,du_cas,hu_cas,vu_cas                                       &
      &       ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas                           &
      &       ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,lat_cas,sens_cas,ustar_cas       &
-     &       ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                                           &
+     &       ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                                           &
 !
      &       ,ts_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
@@ -22,22 +22,22 @@
      &       ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                                 &
      &       ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas           &
-     &       ,vitw_prof_cas,omega_prof_cas                                                  &
+     &       ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                     &
      &       ,du_prof_cas,hu_prof_cas,vu_prof_cas                                           &
      &       ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas,ht_prof_cas,vt_prof_cas       &
      &       ,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas                            &
      &       ,dth_prof_cas,hth_prof_cas,vth_prof_cas,lat_prof_cas                           &
-     &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tke_prof_cas)
-
-             ts_cur = ts_prof_cas 
+     &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
+! EV tg instead of ts_cur
+             tg = ts_prof_cas 
 !            psurf=plev_prof_cas(1)
              psurf=ps_prof_cas
 
 ! vertical interpolation:
-      CALL interp2_case_vertical_std(play,nlev_cas,plev_prof_cas                                              &
+      CALL interp2_case_vertical_std(play,plev,nlev_cas,plev_prof_cas                                              &
      &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                       &
      &         ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                                 &
      &         ,ug_prof_cas,vg_prof_cas                                                                   &
      &         ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                       &
-     &         ,vitw_prof_cas,omega_prof_cas                                      &
+     &         ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                                 &
      &         ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                   &
      &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
@@ -47,5 +47,5 @@
      &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas                                                 &
      &         ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                           &
-     &         ,w_mod_cas,omega_mod_cas                                                                   &
+     &         ,w_mod_cas,omega_mod_cas,tke_mod_cas                                                       &
      &         ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                         &
      &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas           &
@@ -109,4 +109,6 @@
       do l = 1, llm
 ! Modif w_mod_cas -> omega_mod_cas (MM+MPL 20170309)
+	print*, l, llm
+	print*, play(l), temp(l)
        omega(l) = -w_mod_cas(l)*play(l)*rg/(rd*temp(l))
       enddo
Index: LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 3725)
+++ LMDZ6/branches/LMDZ-tracers/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 3851)
@@ -27,8 +27,8 @@
      &       ,u_cas,v_cas,ug_cas,vg_cas                                                     &
      &       ,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas                               &
-     &       ,vitw_cas,omega_cas,du_cas,hu_cas,vu_cas                                       &
+     &       ,vitw_cas,omega_cas,tke_cas,du_cas,hu_cas,vu_cas                                       &
      &       ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas                           &
      &       ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,lat_cas,sens_cas,ustar_cas       &
-     &       ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                                           &
+     &       ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                                           &
 !
      &       ,ts_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas,thv_prof_cas  &
@@ -36,10 +36,10 @@
      &       ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                                 &
      &       ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas           &
-     &       ,vitw_prof_cas,omega_prof_cas                                                  &
+     &       ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                    &
      &       ,du_prof_cas,hu_prof_cas,vu_prof_cas                                           &
      &       ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas,ht_prof_cas,vt_prof_cas       &
      &       ,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas                            &
      &       ,dth_prof_cas,hth_prof_cas,vth_prof_cas,lat_prof_cas                           &
-     &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tke_prof_cas)
+     &       ,sens_prof_cas,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
 
       do l = 1, nlev_cas
@@ -49,5 +49,5 @@
 ! vertical interpolation using interpolation routine:
 !      write(*,*)'avant interp vert', t_prof
-      CALL interp2_case_vertical_std(play,nlev_cas,plev_prof_cas                                              &
+      CALL interp2_case_vertical_std(play,plev,nlev_cas,plev_prof_cas                                              &
      &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                          &
      &         ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                                 &
@@ -55,5 +55,5 @@
      &       ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                         &
 
-     &         ,vitw_prof_cas,omega_prof_cas                                                              &
+     &         ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                                 &
      &         ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                   &
      &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
@@ -63,5 +63,5 @@
      &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas                                                 &
      &         ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                           &
-     &         ,w_mod_cas,omega_mod_cas                                                                   &
+     &         ,w_mod_cas,omega_mod_cas,tke_mod_cas                                                       &
      &         ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                         &
      &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas           &
@@ -70,7 +70,10 @@
 
 ! initial and boundary conditions :
-!      tsurf = ts_prof_cas
+!     tsurf = ts_prof_cas
       psurf = ps_prof_cas
-      ts_cur = ts_prof_cas 
+      !EV tg instead of ts_cur
+      tg = ts_prof_cas 
+      print*, 'tg=', tg
+
       do l = 1, llm
        temp(l) = t_mod_cas(l)
@@ -95,8 +98,11 @@
        d_u_adv(l) = du_mod_cas(l)+hu_mod_cas(l)+vu_mod_cas(l)
        d_v_adv(l) = dv_mod_cas(l)+hv_mod_cas(l)+vv_mod_cas(l)
+      enddo
 
-!print*,'d_t_adv ',d_t_adv(1:20)*86400
+! Etienne pour initialisation de TKE
 
-      enddo     
+       do l=1,llm+1
+       pbl_tke(:,l,:)=tke_mod_cas(l)
+       enddo     
 
 ! Faut-il multiplier par -1 ? (MPL 20160713)
@@ -108,6 +114,6 @@
        IF (ok_prescr_ust) THEN
        ust=ustar_prof_cas
-       print *,'ust=',ust
        ENDIF
 
+
       endif !forcing_SCM
